List appointments
curl --request GET \
--url https://integrations.salesask.com/v1/scheduled-tasks \
--header 'x-api-key: <api-key>'import requests
url = "https://integrations.salesask.com/v1/scheduled-tasks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://integrations.salesask.com/v1/scheduled-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.salesask.com/v1/scheduled-tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integrations.salesask.com/v1/scheduled-tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integrations.salesask.com/v1/scheduled-tasks")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://integrations.salesask.com/v1/scheduled-tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"appointments": [
{
"id": "task_123",
"event_id": "CRM-JOB-9871",
"user_email": "rep@company.com",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"title": "Discovery call",
"client": {
"id": "cust_123",
"name": "John Doe",
"email": "john@example.com",
"location": "123 Main St, Austin, TX 78701"
},
"scheduledAt": "2023-11-07T05:31:56Z",
"status": "scheduled",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "2023-11-07T05:31:56Z",
"hasMore": true
}{
"message": "<string>"
}Scheduled Tasks
List appointments
Returns scheduled appointments for your organization.
GET
/
v1
/
scheduled-tasks
List appointments
curl --request GET \
--url https://integrations.salesask.com/v1/scheduled-tasks \
--header 'x-api-key: <api-key>'import requests
url = "https://integrations.salesask.com/v1/scheduled-tasks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://integrations.salesask.com/v1/scheduled-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.salesask.com/v1/scheduled-tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integrations.salesask.com/v1/scheduled-tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integrations.salesask.com/v1/scheduled-tasks")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://integrations.salesask.com/v1/scheduled-tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"appointments": [
{
"id": "task_123",
"event_id": "CRM-JOB-9871",
"user_email": "rep@company.com",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"title": "Discovery call",
"client": {
"id": "cust_123",
"name": "John Doe",
"email": "john@example.com",
"location": "123 Main St, Austin, TX 78701"
},
"scheduledAt": "2023-11-07T05:31:56Z",
"status": "scheduled",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "2023-11-07T05:31:56Z",
"hasMore": true
}{
"message": "<string>"
}Authorizations
Query Parameters
Filters on scheduledAt (the reminder time), not the appointment start time. toDate includes the whole day.
Filters on scheduledAt (the reminder time), not the appointment start time. toDate includes the whole day.
Required range:
1 <= x <= 100
